Bug 1182923 - NetworkManager 1.0.0 can't create team devices using network scripts
Summary: NetworkManager 1.0.0 can't create team devices using network scripts
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Rashid Khan
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-16 08:38 UTC by Jan Tluka
Modified: 2016-03-15 03:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-16 15:16:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Tluka 2015-01-16 08:38:56 UTC
Description of problem:

I'm having problems setting up a team device with NetworkManager 1.0.0, previous 0.9.9 version worked fine.

/etc/sysconfig/network-scripts/ifcfg-team0

DEVICE=team0
DEVICETYPE=Team
ONBOOT=yes
BOOTPROTO=none
IPADDR=192.168.11.1
PREFIX=24
TEAM_CONFIG='{"runner": {"name": "activebackup"}, "link_watch": {"name": "ethtool"}}'

/etc/sysconfig/network-scripts/ifcfg-eno2

DEVICE=eno2
DEVICETYPE=TeamPort
ONBOOT=yes
TEAM_MASTER=team0
TEAM_PORT_CONFIG='{"prio": 100}'

Version-Release number of selected component (if applicable):
NetworkManager-1.0.0-1.git20150107.1ea95cd3.el7.x86_64
teamd-1.15-1.el7.x86_64

How reproducible:
Everytime, use the network scripts described the above and try to up the team0 connection

Steps to Reproduce:
1.
2.
3.

Actual results:

Error: Connection activation failed: Failed to create virtual interface


Expected results:

Connection is created and activated.

Additional info:
Worked fine with NetworkManager-0.9.9.1-47.git20140326.4dba720.el7.x86_64

Comment 1 Jirka Klimes 2015-01-16 13:20:06 UTC
Jan, would you try with the latest NM build. I am able to up/down team successfully with that. (It also worked for me with NetworkManager-1.0.0-1.el7)

Would you also include /var/log/messages? And other information that might be relevant, like the commands you use for activation and state of the devices.
$ nmcli device
$ ip a

Comment 2 Jirka Klimes 2015-01-16 13:23:30 UTC
However playing with the setup a bit, I managed to run NM into an assertion when it was restarted. I am not sure how to reproduce that reliably. Basically the team was activated and I stopped and started NM again.

See http://pastebin.test.redhat.com/256987

Comment 3 Jan Tluka 2015-01-16 15:16:37 UTC
Okay, so it seems that I was missing NetworkManager-team rpm on my system. Once installed everything works as expected. Closing.

Comment 4 Jirka Klimes 2015-01-19 12:20:31 UTC
An improvement for software creation failure errors - see upstream branch jk/sw-devices-errors-rh1182923

Comment 5 Dan Winship 2015-01-19 21:40:43 UTC
Looks good but maybe we should nm_log something in the new "plugin unavailable" case of system_create_virtual_device() too? Eg, so that in the connection_added() case, something gets logged

Comment 6 Dan Williams 2015-01-19 23:35:25 UTC
LGTM

(In reply to Dan Winship from comment #5)
> Looks good but maybe we should nm_log something in the new "plugin
> unavailable" case of system_create_virtual_device() too? Eg, so that in the
> connection_added() case, something gets logged

Yeah, that would be nice.

Comment 7 Jirka Klimes 2015-01-20 13:33:50 UTC
master: 564b462dd3263c8fef4911c8ff68c40c6c7cfbb4
nm-1-0: 8a8af0a06aa2b63ad8954698760efdf6ea153b10

Comment 8 Jaye Zhang 2015-01-28 07:48:18 UTC
(In reply to Jan Tluka from comment #3)
> Okay, so it seems that I was missing NetworkManager-team rpm on my system.
> Once installed everything works as expected. Closing.

Hi Jan,

what's the OS you use? I got same problem on RHEL-7.1-20150122.0 (nmcli-1.0.0-9)

and where you got the rpm? I just find http://rpmfind.net/linux/rpm2html/search.php?query=NetworkManager-team

many thanks in advance!

Comment 9 Jan Tluka 2015-01-28 10:05:54 UTC
(In reply to Jaye Zhang from comment #8)
> (In reply to Jan Tluka from comment #3)
> > Okay, so it seems that I was missing NetworkManager-team rpm on my system.
> > Once installed everything works as expected. Closing.
> 
> Hi Jan,
> 
> what's the OS you use? I got same problem on RHEL-7.1-20150122.0
> (nmcli-1.0.0-9)
> 
> and where you got the rpm? I just find
> http://rpmfind.net/linux/rpm2html/search.php?query=NetworkManager-team
> 
> many thanks in advance!

The rpm should be available in the build you mentioned, did you try
yum install NetworkManager-team ?

This should work in my opinion.

Comment 10 Jaye Zhang 2015-01-29 05:33:40 UTC
(In reply to Jan Tluka from comment #9)
> (In reply to Jaye Zhang from comment #8)
> > (In reply to Jan Tluka from comment #3)
> > > Okay, so it seems that I was missing NetworkManager-team rpm on my system.
> > > Once installed everything works as expected. Closing.
> > 
> > Hi Jan,
> > 
> > what's the OS you use? I got same problem on RHEL-7.1-20150122.0
> > (nmcli-1.0.0-9)
> > 
> > and where you got the rpm? I just find
> > http://rpmfind.net/linux/rpm2html/search.php?query=NetworkManager-team
> > 
> > many thanks in advance!
> 
> The rpm should be available in the build you mentioned, did you try
> yum install NetworkManager-team ?
> 
> This should work in my opinion.

I've still got same error after installed NetworkManager-team on nmcli-1.0.0-9
I'll check by myself first...

Thanks anyway!

Comment 11 Albert 2016-03-15 03:00:19 UTC
Old post, but wanted to throw this in here.. Make sure you restart network manager after you install the NetworkManager-team rpm. I had to do this to bring my team up!


Note You need to log in before you can comment on or make changes to this bug.